/*----------- Label utilisateur (compte) -----------------*/

.setting{
    margin-left: 75% ;
}

/* ---------- dans profil le h1 gestion de mon adhésion en blanc -------------- */
.container.py-4 h1{
    font-family: sans-serif;
    color: var(--vert-color);
    margin: 9% 0% 3% 0%;
}

/*-------------- Formulaire  modif profil ----------------*/
.form-fieldset {
    font-family: sans-serif;
}

.form-fieldset input {
    font-family: sans-serif;
}

.form-fieldset option {
    font-family: sans-serif;
}


/* -------------------- Container de ligne pour le formulaire--------------------- */
.form-item-row {
    padding: 1.2rem 0;
    border-bottom: 1px solid #edf2f7;
}

.form-item-row:last-of-type {
    border-bottom: none;
}

.form-item-row .info-label {
    font-weight: 600;
    color: #4e4e4e;
    text-transform: uppercase;
    font-size: 0.85rem;
    letter-spacing: 0.5px;
}

/*.form-control:focus, .form-select:focus {*/
/*    border-color: #43ee5a;*/
/*    box-shadow: 0 0 0 3px rgba(67, 97, 238, 0.15);*/
/*}*/


/*//------- header  --------------------------------*/

:root {
    --vert-color: rgb(0, 103, 79);
    --orange-color: rgb(209, 119, 17);
    --jaune-color: rgb(254, 205, 83);
    --violet-color: rgb(72, 38, 107);
    --brun-color: rgb(104, 94, 74);
    --gris-color: rgb(255, 255, 255);
    --glass-bg: rgb(241, 241, 241);
}

.alert {
    margin : 1rem;
}

.card-header  {
    background: var(--vert-color) !important;
    padding: 1.3rem;
    font-weight: 600;
    color: var(--orange-color);
}

.card-header.modif  {
    background: var(--vert-color) !important;
    padding: 1.3rem;
    font-weight: 600;
    color: var(--orange-color);
    width: 101.4%;
    margin-left: -0.7%;
}

.card-header h2{
    color: #ffffff;
}

.card-body p{
    color: black;
    font-size: 1rem;
}

.dashboard-container {
    margin: auto;
    max-width: 1200px;
    margin-top: 4%;
}

.dashboard-container .card-body{
    font-size: 1.1rem;
    font-weight: bold;
    font-family: neubauer-grotesque, sans-serif;
    color: var(--orange-color);
    background-color: #efefef;
}

.dashboard-container .profile-section{
    width: 100%;
}

.dashboard-container .btn{
    background-color: var(--vert-color);
    color: var(--gris-color);
}

.dashboard-container .btn:hover{
    background-color: var(--jaune-color);
    color: var(--orange-color);
}

.dashboard-container .card.card-modifcompt {
    background: var(--glass-bg);
    border: none;
    margin: 0% 0% 0% -20%;
    backdrop-filter: blur(4px);
    transition: transform 0.3s ease;
    width: 140%;
    box-shadow: 0px 0px 13px 9px #00000059;
}

/* Style des Cartes Modernes */
.dashboard-container .card {
    background: var(--glass-bg);
    border: none;
    margin-bottom: 1rem;
    backdrop-filter: blur(4px);
    transition: transform 0.3s ease;
    width: 100%;
    box-shadow: 0px 0px 13px 9px #00000059;
}

.dashboard-container .card-abonnement {
    background: var(--glass-bg);
    width: 100%;
    box-shadow: 0px 0px 13px 9px #00000059;
    margin: auto 0%;
    padding:1%;
}


/* Tableaux Responsives */
.table-responsive {
  border: 0.5px solid #838383;
}

.table thead th {
    background-color: #f1f3f5;
    color: #495057;
    text-transform: uppercase;
    font-size: 0.8rem;
    letter-spacing: 1px;
    border: none;

}

/*//------- RIB/IBAN  --------------------------------*/

.bank-selector .form-check {
    margin-bottom: 0;
    padding: 10px 15px;
    border: 1px solid #e2e8f0;
    cursor: pointer;
}

#bank_typeDocument{
    margin-inline: -1%;
    display: flex;
}

.bank-selector-group input[type="radio"] {
    display: none;
}

/* Style de l'étiquette (qui devient notre bouton) */
.bank-selector-group label {
    flex: 1%;
    display: block;
    padding: 12px 20px;
    background: #fff;
    border: 2px solid #e2e8f0;
    text-align: center;
    cursor: pointer;
    font-weight: 500;
    transition: all 0.2s ease;
    color: #64748b;
}

/* Style quand on survole */
.bank-selector-group label:hover {
    border-color: #cbd5e1;
    background: #f8fafc;
}

/* Style quand le bouton est sélectionné (grâce au sélecteur CSS +) */
.bank-selector-group input[type="radio"]:checked + label {
    border-color: var(--orange-color);
    background: rgba(67, 97, 238, 0.05);
    color: var(--jaune-color);
    font-weight: 100;
    box-shadow: 0 4px 12px rgba(67, 97, 238, 0.1);
}

.bank-selector .form-check {
    margin-bottom: 0;
    padding: 10px 15px;
    border: 1px solid #e2e8f0;
    cursor: pointer;
}

#bank_typeDocument{
    margin-inline: -1%;
    display: flex;
}

.bank-selector-group input[type="radio"] {
    display: none;
}

/* Style de l'étiquette (qui devient notre bouton) */
.bank-selector-group label {
    flex: 1%;
    display: block;
    padding: 12px 20px;
    background: #fff;
    border: 2px solid #e2e8f0;
    border-radius: 10px;
    text-align: center;
    cursor: pointer;
    font-weight: 500;
    transition: all 0.2s ease;
    color: #64748b;
}

/* Style quand on survole */
.bank-selector-group label:hover {
    border-color: var(--orange-color);
    background: white;
}

/* Style quand le bouton est sélectionné (grâce au sélecteur CSS +) */
.bank-selector-group input[type="radio"]:checked + label {
    border-color: var(--orange-color);
    background: var(--jaune-color);
    color: var(--orange-color);
    font-weight: 545;
    box-shadow: 0 4px 12px rgba(67, 97, 238, 0.1);
}


@media (max-width: 1200px) {

    .table-responsive th{
        font-size: 7px;
    }

    .setting{
        margin-left: 65% ;
    }


    .table-responsive {
        font-size: 11px;
    }

    .page input {
        font-family: sans-serif;
        width: 41%;
        margin: 4% 0% 3% -85%;
    }

    .page-title h2{
        margin: 0% 1% 2% 3%;
    }

    .page .input-group-text label {
        margin: -4% 23% -5% 12%;
        width: 34%;

    }
    .page .input-group-text {
        margin: 0% 0% -5.5% -14%;
        width: 28%;
    }
    .page .form-select-sm {
        width: auto;
        margin: 0% 82% -1% -82%;
    }
}


@media (max-width: 610px) {
    header .btn{
        margin: 3% 10% 0% 5%;
    }
}
